소스 검색

CI: Bump validation host versioning

The CI is now running on Ubuntu 22.04-LTS along with gcc-11 and
clang-format-12 .
Jim Huang 2 년 전
부모
커밋
1c916a79a9
3개의 변경된 파일6개의 추가작업 그리고 6개의 파일을 삭제
  1. 1 1
      .ci/check-format.sh
  2. 2 2
      .ci/static-analysis.sh
  3. 3 3
      .github/workflows/status-check.yaml

+ 1 - 1
.ci/check-format.sh

@@ -2,7 +2,7 @@
 
 SOURCES=$(find $(git rev-parse --show-toplevel) | egrep "\.(cpp|cc|c|h)\$")
 
-CLANG_FORMAT=$(which clang-format-11)
+CLANG_FORMAT=$(which clang-format-12)
 if [ $? -ne 0 ]; then
     CLANG_FORMAT=$(which clang-format)
     if [ $? -ne 0 ]; then

+ 2 - 2
.ci/static-analysis.sh

@@ -63,9 +63,9 @@ function do_sparse()
 
 function do_gcc()
 {
-    local GCC=$(which gcc-10)
+    local GCC=$(which gcc-11)
     if [ $? -ne 0 ]; then
-        echo "[!] gcc-10 is not installed. Failed to run static analysis with GCC." >&2
+        echo "[!] gcc-11 is not installed. Failed to run static analysis with GCC." >&2
         exit 1
     fi
 

+ 3 - 3
.github/workflows/status-check.yaml

@@ -10,15 +10,15 @@ on:
 
 jobs:
   validate:
-    runs-on: ubuntu-20.04
+    runs-on: ubuntu-22.04
     steps:
       - name: checkout code
         uses: actions/checkout@v3.1.0
       - name: validate coding style and functionality
         run: |
-            sudo apt-get install -q -y clang-format-11
+            sudo apt-get install -q -y clang-format-12
             sudo apt-get install -q -y cppcheck
-            sudo apt-get install -q -y gcc-10
+            sudo apt-get install -q -y gcc-11
             .ci/check-format.sh
             .ci/static-analysis.sh
             .ci/build-n-run.sh